#ifndef __CORES__
#define __CORES__

// Tipos bsicos
typedef struct {
  unsigned char R, G, B;
} Cor;

typedef Cor Pixel;

typedef struct {
  char *nomeCor;
  Pixel cor;
} Paleta;
  
void getCor(void *c);
void prnCor(void *o);
void *alocaCor(size_t nelem);
void *realocaCor(void *p, size_t nelem);
void putCorVet (void *v, int idx, void *o);
void getCorVet (void *v, int idx, void *o);
void prnCorVet (void *v, int idx);

/* Obtm uma cor da paleta de cores a partir de seu nome.
  Se nome no  encontrado, retorna pixel branco.
 */
Pixel *pickColor(char *nomeCor);

/* Obtm aleatoriamente uma cor da paleta de cores */
Pixel *pickAnyColor();

#define FUNC_COR getCor,prnCor,alocaCor,realocaCor,putCorVet,getCorVet,prnCorVet

#endif //__CORES__
